libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
bayer_format.h File Reference

Class to represent Bayer formats and manipulate them. More...

`#include <ostream>`
`#include <stdint.h>`
`#include <string>`
`#include <libcamera/pixel_format.h>`
`#include "libcamera/internal/v4l2_pixelformat.h"`
Include dependency graph for bayer_format.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::BayerFormat
| Class to represent a raw image Bayer format. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Functions
bool | libcamera::operator== (const BayerFormat &lhs, const BayerFormat &rhs)
| Compare two BayerFormats for equality.
std::ostream & | libcamera::operator<< (std::ostream &out, const BayerFormat &f)
| Insert a text representation of a BayerFormats into an output stream.

## Detailed Description

Class to represent Bayer formats and manipulate them.